Subject: Re: bug#7470: 24.0.50; Word Isearch lazy highlighting

From: Dani Moncayo <[email-masked]>
Date: Wed, 24 Nov 2010 08:49:45 +0100

On Wed, Nov 24, 2010 at 02:43, Juri Linkov <[email-masked]> wrote:
>
> The task of the word search is to find and highlight complete words.
> The heuristics it applies with partial lax word search (comparing
> the current search string with the previous one in `isearch-search-fun')
> is to help the user to type the complete word search string
> without signaling an error.  So I doubt that lazy highlighting should
> follow the same logic as partial lax word search.
>
> What does lazy highlighting try to tell the user: "Look, if you type
> C-s, then Isearch will land in the next highlighted place".  But in case of
> incomplete word search this is not true.  When the user types C-s,
> it will not stop at the partial word string highlighted as you suggested.
>

I understand and agree with your reasoning, and I think would be good
to include that idea in the section of the manual that I quoted
before. The way it is worded now seems a bit misleading/incomplete to
me.

Thank you very much.

-- 
Dani Moncayo